html{
    background-color: black;
    overflow: hidden;
    font-family: 'Roboto', sans-serif;
    font-size: 2.2vh;
    font-weight: 300;
    color: #FFF;
}

body{
    margin: 0;
}

#call, #ring, #callbackground {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
}

#callbackground{
    display: block;
    background-image: url(images/yunji.jpg);
    background-position: center;
    background-size: cover;
    filter: blur(8px);
    -webkit-filter: blur(8px);
    opacity: 0.5;
}

#call{
    flex-direction: column;
    align-items: center;
    padding-top: 5vh;
    padding-bottom: 3vh;
    row-gap: 2vh;
}

    #call_from{
        text-align: center;
        font-size: 6vh;
    }

    #call_type{
        text-align: center;
        font-size: 2vh;
    }


    #mic_indicator{
        padding-top: 2vh;
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: 1vh;
    }
        #mic_circle{
            /* animation: pulse-animation 1s infinite; */
            display: inline-block;
            background-color: rgb(120, 120, 120);
            height: 1vh;
            width: 1vh;
            border-radius: 1vh;
        }
        @keyframes pulse-animation { 0% {opacity: 0.3;} 50% {opacity: 1;} 100% {opacity: 0.3;}}
        #mic_message{
            display: inline;
            font-size: 1.5vh;
        } 

    #messagescontainer{
        flex: 1 0 0;
        box-sizing: border-box;
        height: 40vh;
        width: 100vw;
        overflow: scroll;
        padding: 20px;
    }
    
        #messages{
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
            overflow: scroll;
    
            /* font-family: 'Diphylleia', serif; */
            row-gap: 20px;
        }

    #call_options{
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 3vh;
    }

        .call_buttons{
            height: 7vh;
            width: 7vh;
        }

#ring{
    display: block;
    background-image: url(images/yunji.jpg);
    background-position: center;
    background-size: cover;
}

    #ring_from{
        position: absolute;
        top: 10vh;
        width: 100vw;
        text-align: center;
        font-size: 6vh;
    }

    #ring_type{
        position: absolute;
        top: 18vh;
        width: 100vw;
        text-align: center;
        font-size: 2vh;
    }

    #ring_options{
        position: absolute;
        bottom: 15vh;
        width: 100vw;

        display: flex;
        justify-content: space-around;
    }
        .ring_buttons{
            height: 9vh;
            width: 9vh;
        }

/* messages */
@media screen {
    .receivedmessagecontainer{
        display: flex;
        align-items: flex-start;
        align-self: stretch;
    }
        .receivedbubble{
            display: flex;
            flex-direction: column;
            align-items: flex-start;

            max-width: 50vw;
            background-color: #ffffffcc;
            padding: 10px;
            padding-left: 20px;
            padding-right: 20px;
            border-radius: 20px;
            border-bottom-left-radius: 0;
        }
            .receivedbubbletext{
                font-weight: 400;
                color: #000;
            }
            .receivedbubbletime{
                font-size: 10px;
                color: #AAA;
            }

    .sentmessagecontainer{
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-end;
        align-self: stretch;
    }
        .sentbubble{
            display: flex;
            flex-direction: column;
            align-items: flex-end;

            max-width: 50vw;
            background-color: #0084ffc4;
            padding: 10px;
            padding-left: 20px;
            padding-right: 20px;
            border-radius: 20px;
            border-bottom-right-radius: 0;
        }   
            .sentbubbletext{
                font-weight: 400;
                color: #FFF;
            }
            .sentbubbletime{
                font-size: 10px;
                color: #AAA;
            }
}

/* for desktop */
@media (orientation: landscape) {
    
    #messagescontainer{
        width: 40vw;
        /* margin-left: 30vw; */
    }
    
    #ring_options{
        width: 50vw;
        margin-left: 25vw;
    }

}

/* for mobile */
@media (orientation: portrait) {

}

    /* #overlay_options{
        display: none;
        position: absolute;
        bottom: 0;
        width: 100vw;
        box-sizing: border-box;
        padding: 3vh;
        border-top-left-radius: 3vh;
        border-top-right-radius: 3vh;
        background-color: #33333388;
    }

        #overlay_options_container{
            display: flex;
            justify-content: space-around;
        }
            .overlay_buttons{
                height: 9vh;
                width: 9vh;
            }
        #mic_indicator{
            padding-top: 2vh;
            display: flex;
            align-items: center;
            justify-content: center;
            column-gap: 1vh;
        }
            #mic_circle{
                animation: pulse-animation 1s infinite;
                display: inline-block;
                background-color: rgb(239, 29, 29);
                height: 2vh;
                width: 2vh;
                border-radius: 1vh;
            }
            @keyframes pulse-animation { 0% {opacity: 0.3;} 50% {opacity: 1;} 100% {opacity: 0.3;}}
            #mic_message{
                display: inline;
                font-size: 2.5vh;
            } */

.hidden{
    display: none;
}

#ring-click{
        height: 100vh;
        width: 100vw;
}

/* Hide scrollbar for Chrome, Safari and Opera */
*::-webkit-scrollbar {
    display: none;
}
  
  /* Hide scrollbar for IE, Edge and Firefox */
* {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}



#speakButton{
    border-style: solid;
    border-color: rgb(179, 179, 179);
    border-width: 1vh;
    height: 12vh;
    width: 12vh;
    border-radius: 6vh;
    background-color: #FFF;

    font-size: 1.5vh;
    color: #c32121;

    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}
    #speakButtonImage{
        height: 6vh;
        pointer-events: none;
    }
    #speakButtonText{
        /* margin-top: 0.5vh; */
        font-size: 2vh;
        opacity: 0.5;
    }

#typinganimation{
    height: 16px;
}